org.omg.CORBA

## Class AnySeqHelper

- java.lang.Object
- - org.omg.CORBA.AnySeqHelper

    public abstract class AnySeqHelper
    extends Object

The Helper for `AnySeq`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/AnySeqHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from streams.idl 13 May 1999 22:41:36 o'clock GMT+00:00 The class definition has been modified to conform to the following OMG specifications :

- ORB core as defined by CORBA 2.3.1 (formal/99-10-07)
- IDL/Java Language Mapping as defined in ptc/00-01-08

### Constructor Summary

Constructors
Constructor and Description
`AnySeqHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Any[]` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, Any[] that)`
`static Any[]` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, Any[] value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnySeqHelper

    public AnySeqHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              Any[] that)

#### extract

    public static Any[] extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static Any[] read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             Any[] value)